org.apache.tinkerpop.gremlin.process.traversal.step.filter

## Class CyclicPathTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.CyclicPathTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.filter.CyclicPathTest.Traversals

- Enclosing class:
    CyclicPathTest

      public static class CyclicPathTest.Traversals
      extends CyclicPathTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.CyclicPathTest

      `CyclicPathTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Vertex,Path>` | `get_g_VX1X_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_cyclicPath_fromXaX_toXbX_path(Object v1Id)`
    `Traversal<Vertex,Path>` | `get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath_path(Object v1Id)`
    `Traversal<Vertex,Vertex>` | `get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath(Object v1Id)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.filter.CyclicPathTest

      `g_VX1X_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_cyclicPath_fromXaX_toXbX_path, g_VX1X_outXcreatedX_inXcreatedX_cyclicPath_path, g_VX1X_outXcreatedX_inXcreatedX_cyclicPath`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath

          public Traversal<Vertex,Vertex> get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath(Object v1Id)

      Specified by:
        `get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath` in class `CyclicPathTest`

    - #### get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath_path

          public Traversal<Vertex,Path> get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath_path(Object v1Id)

      Specified by:
        `get_g_VX1X_outXcreatedX_inXcreatedX_cyclicPath_path` in class `CyclicPathTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_cyclicPath_fromXaX_toXbX_path

          public Traversal<Vertex,Path> get_g_VX1X_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_cyclicPath_fromXaX_toXbX_path(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_asXbX_inXcreatedX_asXcX_cyclicPath_fromXaX_toXbX_path` in class `CyclicPathTest`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.